<link href="style.css" rel="stylesheet" type="text/css" /> 
<h4>Register Suite >> Test (4 Passed, 0 Failed, 0 Skipped)</h4>

<table border="1" cellspacing="0">
<tr>
	<td>Test Method</td>
	<td>Log</td>
	<td>Screen Shot</td>
</tr>
<tr>
	<td class="passed">test.template.testCases.register.RegisterAccountWithDataObject.b()</td>
	<td><pre>2022-03-17 00:05:11,244 [INFO] [RegisterPageObject] Register account with data object
2022-03-17 00:05:11,244 [INFO] [RegisterPageObject] Input name: Nancy
2022-03-17 00:05:11,440 [INFO] [RegisterPageObject] Input email: Nancygmail.com
2022-03-17 00:05:11,657 [INFO] [RegisterPageObject] Input confirm email: Nancygmail.com
2022-03-17 00:05:11,875 [INFO] [RegisterPageObject] Input password: yMFZbrrvT8BUd5k
2022-03-17 00:05:12,158 [INFO] [RegisterPageObject] Input confirm password: yMFZbrrvT8BUd5k
2022-03-17 00:05:12,308 [INFO] [RegisterPageObject] Input phone number: 12345678
2022-03-17 00:05:12,460 [INFO] [RegisterPageObject] Click on submit button
2022-03-17 00:05:12,562 [INFO] [RegisterPageObject] Verify email warning message: Vui lòng nhập email hợp lệ
2022-03-17 00:05:12,583 [INFO] [RegisterPageObject] Verify confirm empty warning message: Email nhập lại không đúng
2022-03-17 00:05:12,598 [INFO] [SeleniumUtils] Capture the screen.
2022-03-17 00:05:13,058 [INFO] [SeleniumUtils] Save screenshot as: 3d23832cde01476b95468b95be87b663.png
</pre></td>
	<td><a href="./screen_shots/3d23832cde01476b95468b95be87b663.png"><img src="./screen_shots/thumb_3d23832cde01476b95468b95be87b663.png"></a></td>
</tr>
<tr>
	<td class="passed">test.template.testCases.register.RegisterAccountWithDataObject.c()</td>
	<td><pre>2022-03-17 00:05:13,247 [INFO] [RegisterPageObject] Register account with data object
2022-03-17 00:05:13,248 [INFO] [RegisterPageObject] Input name: Nancy
2022-03-17 00:05:13,462 [INFO] [RegisterPageObject] Input email: 1Nancy@gmail.com
2022-03-17 00:05:13,714 [INFO] [RegisterPageObject] Input confirm email: Nancy@gmail.com
2022-03-17 00:05:13,954 [INFO] [RegisterPageObject] Input password: yMFZbrrvT8BUd5k
2022-03-17 00:05:14,137 [INFO] [RegisterPageObject] Input confirm password: yMFZbrrvT8BUd5k
2022-03-17 00:05:14,315 [INFO] [RegisterPageObject] Input phone number: 12345678
2022-03-17 00:05:14,508 [INFO] [RegisterPageObject] Click on submit button
2022-03-17 00:05:14,601 [INFO] [RegisterPageObject] Verify confirm empty warning message: Email nhập lại không đúng
2022-03-17 00:05:14,623 [INFO] [SeleniumUtils] Capture the screen.
2022-03-17 00:05:15,001 [INFO] [SeleniumUtils] Save screenshot as: f44f465ee86e4ce98cf78596134e07bc.png
</pre></td>
	<td><a href="./screen_shots/f44f465ee86e4ce98cf78596134e07bc.png"><img src="./screen_shots/thumb_f44f465ee86e4ce98cf78596134e07bc.png"></a></td>
</tr>
<tr>
	<td class="passed">test.template.testCases.register.RegisterAccountWithDataObject.a()</td>
	<td><pre>2022-03-17 00:05:09,548 [INFO] [RegisterPageObject] Click on submit button
2022-03-17 00:05:09,759 [INFO] [RegisterPageObject] Verify name warning message: Vui lòng nhập họ tên
2022-03-17 00:05:09,874 [INFO] [RegisterPageObject] Verify email warning message: Vui lòng nhập email
2022-03-17 00:05:09,917 [INFO] [RegisterPageObject] Verify confirm empty warning message: Vui lòng nhập lại địa chỉ email
2022-03-17 00:05:09,953 [INFO] [RegisterPageObject] Verify password warning message: Vui lòng nhập mật khẩu
2022-03-17 00:05:09,977 [INFO] [RegisterPageObject] Verify confirm password warning message: Vui lòng nhập lại mật khẩu
2022-03-17 00:05:10,009 [INFO] [RegisterPageObject] Verify phone warning message: Vui lòng nhập số điện thoại.
2022-03-17 00:05:10,049 [INFO] [SeleniumUtils] Capture the screen.
2022-03-17 00:05:10,423 [INFO] [SeleniumUtils] Save screenshot as: 831c826d3925448a8213dbcbda90bf1a.png
</pre></td>
	<td><a href="./screen_shots/831c826d3925448a8213dbcbda90bf1a.png"><img src="./screen_shots/thumb_831c826d3925448a8213dbcbda90bf1a.png"></a></td>
</tr>
<tr>
	<td class="passed">test.template.testCases.register.RegisterAccountWithDataObject.d()</td>
	<td><pre>2022-03-17 00:05:15,166 [INFO] [RegisterPageObject] Register account with data object
2022-03-17 00:05:15,166 [INFO] [RegisterPageObject] Input name: Nancy
2022-03-17 00:05:15,363 [INFO] [RegisterPageObject] Input email: Nancy@gmail.com
2022-03-17 00:05:15,602 [INFO] [RegisterPageObject] Input confirm email: Nancy@gmail.com
2022-03-17 00:05:15,842 [INFO] [RegisterPageObject] Input password: 1234
2022-03-17 00:05:15,988 [INFO] [RegisterPageObject] Input confirm password: 1234
2022-03-17 00:05:16,122 [INFO] [RegisterPageObject] Input phone number: 12345678
2022-03-17 00:05:16,334 [INFO] [RegisterPageObject] Click on submit button
2022-03-17 00:05:16,408 [INFO] [RegisterPageObject] Verify confirm password warning message: Mật khẩu phải có ít nhất 6 ký tự
2022-03-17 00:05:16,448 [INFO] [SeleniumUtils] Capture the screen.
2022-03-17 00:05:16,883 [INFO] [SeleniumUtils] Save screenshot as: 5f0e78d0221a4cbd9e22b9cc57f632f8.png
</pre></td>
	<td><a href="./screen_shots/5f0e78d0221a4cbd9e22b9cc57f632f8.png"><img src="./screen_shots/thumb_5f0e78d0221a4cbd9e22b9cc57f632f8.png"></a></td>
</tr>

</table>

